---
title: "Get Transactions"
slug: "get-transactions"
updated: 2025-03-05T17:31:25Z
published: 2026-01-22T13:05:41Z
canonical: "api-docs.blinkpayment.co.uk/get-transactions"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transactions

Get/api/pay/v1/transactions/{transaction_id}

		
			

**Parameters**

- `transaction_id`(string, required): Transaction ID returned in the return url after the Payment request.

Response Body

- `transaction_id` (string): The unique identifier for the transaction
- `status` (string): The status of the transaction
- `message` (string): A message related to the transaction status
- `amount` (string): The transaction amount
- `currency` (string): The currency of the transaction
- `payment_source` (string): The payment source used for the transaction
- `customer_name`: The name of the customer
- `customer_email` (string): The email address of the customer
- `merchant_data` (string): Additional custom data related to the merchant or customer e.g. order_id

		
		
SecurityHTTPType bearer

Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c

Path parameterstransaction_idstringRequired

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='dbcc39ee-d38c-443c-89ce-d34cc38d6bb3'>application/json</option>
</select>
